--- title: "Get purge history" slug: "networking-cdn-getglobalcdnpurgehistorylist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/networking-cdn-getglobalcdnpurgehistorylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get purge history Available in Classic and VPC Get the purge job history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /cdn/v2/getGlobalCdnPurgeHistoryList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Global CDN APIs, see [Global CDN request headers](/docs/en/networking-cdn#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cdnInstanceNo` | String | Required | CDN instance number - See [Get instance](/docs/en/networking-cdn-getglobalcdninstancelist). | | `purgeIdList.N` | Array | Optional | Purge ID list - Example: `purgeIdList.1=4adf60fe-9a78-11ea-ad28-53ed5947c29c&purgeIdList.2=53caca78-9a78-11ea-ac15-ad144c57b203` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/cdn/v2/getGlobalCdnPurgeHistoryList?cdnInstanceNo=2851****&responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getGlobalCdnPurgeHistoryListResponse` | Object | - | Response result | | `getGlobalCdnPurgeHistoryListResponse.totalRows` | Integer | - | Number of response results | | `getGlobalCdnPurgeHistoryListResponse.globalCdnPurgeHistoryList` | Array | - | Purge history list: [globalCdnPurgeHistoryList](/docs/en/networking-cdn-getglobalcdnpurgehistorylist#globalCdnPurgeHistoryList) | | `getGlobalCdnPurgeHistoryListResponse.requestId` | String | - | ID for the request - UUID format | | `getGlobalCdnPurgeHistoryListResponse.returnCode` | String | - | Response code | | `getGlobalCdnPurgeHistoryListResponse.returnMessage` | String | - | Response message | #### `globalCdnPurgeHistoryList` The following describes `globalCdnPurgeHistoryList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `cdnInstanceNo` | String | - | CDN instance number | | `purgeId` | String | - | Purge request ID | | `isWholePurge` | Boolean | - | Whether to purge all files - `true` \| `false` - `true`: All files - `false`: Specified files | | `isWholeDomain` | Boolean | - | Whether to purge all domains - `true` \| `false` - `true`: All domains - `false`: Specified domains | | `globalCdnServiceDomainList` | Array | - | Service domain list: [globalCdnServiceDomainList](/docs/en/networking-cdn-getglobalcdnpurgehistorylist#globalCdnServiceDomainList) | | `targetFileList` | Array | - | Purge target list | | `estimatedCompletionDate` | String | - | Estimated completion date and time - ISO 8601 format | | `isSuccess` | Boolean | - | Purge success status - `true` \| `false` - `true`: Success - `false`: Failure | | `requestDate` | String | - | Request date and time - ISO 8601 format | #### `globalCdnServiceDomainList` The following describes `globalCdnServiceDomainList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceDomainTypeCode` | String | - | Service domain type - `DEFAULT` \| `USER` - `DEFAULT`: CDN domain provided by NAVER Cloud Platform - `USER`: User-owned domain | | `protocolTypeCode` | String | - | Service protocol | | `defaultDomainName` | String | - | NAVER Cloud Platform domain name | | `userDomainName` | String | - | User domain name | ### Response status codes For information about the HTTP status codes common to all Global CDN APIs, see [Global CDN response status codes](/docs/en/networking-cdn#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getGlobalCdnPurgeHistoryListResponse": { "totalRows": 1, "globalCdnPurgeHistoryList": [ { "cdnInstanceNo": "2851****", "purgeId": "edup-CdBJv*********H2eSo", "isWholePurge": false, "isWholeDomain": true, "globalCdnServiceDomainList": [ { "serviceDomainTypeCode": "DEFAULT", "protocolTypeCode": "HTTP", "defaultDomainName": "wlrw******.gcdn.ntruss.com", "userDomainName": "" } ], "targetFileList": [ "/sample.jpeg" ], "isSuccess": true } ], "requestId": "b8b0968a-****-****-****-b99fb7a49188", "returnCode": "0", "returnMessage": "success" } } ```